\section{Detectron2 inference on RailSem19 data}
\label{sec:appendix_railsem}
This appendix contains multiple examples of the inference of the semantic half of the panoptic segmentation model on the RailSem19 dataset.


\begin{figure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/input_1}
	\caption{Input image}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/ground_truth_1}
	\caption{Ground truth}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/detectron_1}
	\caption{Model output}
\end{subfigure}
\caption{Semantic segmentation inference on RailSem19.}

\end{figure}

\begin{figure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/input_2}
	\caption{Input image}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/ground_truth_2}
	\caption{Ground truth}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/detectron_2}
	\caption{Model output}
\end{subfigure}
\caption{Semantic segmentation inference on RailSem19.}

\end{figure}

\begin{figure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/input_3}
	\caption{Input image}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/ground_truth_3}
	\caption{Ground truth}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/detectron_3}
	\caption{Model output}
\end{subfigure}
\caption{Semantic segmentation inference on RailSem19.}

\end{figure}

\begin{figure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/input_4}
	\caption{Input image}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/ground_truth_4}
	\caption{Ground truth}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/detectron_4}
	\caption{Model output}
\end{subfigure}
\caption{Semantic segmentation inference on RailSem19.}

\end{figure}

\begin{figure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/input_5}
	\caption{Input image}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/ground_truth_5}
	\caption{Ground truth}
\end{subfigure}

\vfill

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=0.8\textwidth]{appendices/railsem/detectron_5}
	\caption{Model output}
\end{subfigure}
\caption{Semantic segmentation inference on RailSem19.}

\end{figure}

\clearpage

\section{Fugro data complete methodology examples}
\label{sec:appendix_fugro}
This appendix contains multiple examples of the complete methodologies, both for a reduced viewing distance of 11 meters and a full range of up to 50 meters, for different areas along the track. For each of those points, we included all 3 camera views for the reduced radius experiments. For the full range experiments, we only included the middle camera view. The label legend is included in Figure \ref{fig:label_legend_appendix}.


\begin{figure}[h]
	\centering
	\includegraphics[width=0.6\textwidth]{label_legend}
	\caption{Point cloud label legend}
	\label{fig:label_legend_appendix}
\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/camera_1}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/detectron_1}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/projection_1}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/ldls_1}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, left camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/camera_1}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/detectron_1}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/projection_1}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/ldls_1}
	\caption{Point cloud generated with LDLS}
\end{subfigure}

\caption{Methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/projection_1}
	\caption{Point cloud generated with projection}
\end{subfigure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/ldls_1}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Full range methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/camera_1}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/detectron_1}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/projection_1}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/ldls_1}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, right camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/camera_2}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/detectron_2}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/projection_2}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/ldls_2}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, left camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/camera_2}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/detectron_2}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/projection_2}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/ldls_2}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/projection_2}
	\caption{Point cloud generated with projection}
\end{subfigure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/ldls_2}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Full range methodology overview on Fugro data, middle camera.}
\label{fig:appendix_strips}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/camera_2}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/detectron_2}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/projection_2}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/ldls_2}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, right camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/camera_3}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/detectron_3}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/projection_3}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/ldls_3}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, left camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/camera_3}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/detectron_3}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/projection_3}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/ldls_3}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/projection_3}
	\caption{Point cloud generated with projection}
\end{subfigure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/ldls_3}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Full range methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/camera_3}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/detectron_3}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/projection_3}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/ldls_3}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, right camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/camera_4}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/detectron_4}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/projection_4}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/ldls_4}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, left camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/camera_4}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/detectron_4}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/projection_4}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/ldls_4}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/projection_4}
	\caption{Point cloud generated with projection}
\end{subfigure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/ldls_4}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Full range methodology overview on Fugro data, middle camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/camera_4}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/detectron_4}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/projection_4}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam3/ldls_4}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, right camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/camera_5}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/detectron_5}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/projection_5}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam1/ldls_5}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, left camera.}

\end{figure}

\begin{figure}[h]

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/camera_5}
	\caption{Video frame input}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/detectron_5}
	\caption{Semantic segmentation output}
\end{subfigure}

\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/projection_5}
	\caption{Point cloud generated with projection}
\end{subfigure}
\hfill
\begin{subfigure}[b]{0.45\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/cam2/ldls_5}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Methodology overview on Fugro data, middle camera.}

\end{figure}


\begin{figure}[h]

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/projection_5}
	\caption{Point cloud generated with projection}
\end{subfigure}

\begin{subfigure}[b]{\textwidth}
	\centering
	\includegraphics[width=\textwidth]{appendices/fugro/full_range/ldls_5}
	\caption{Point cloud generated with LDLS}
\end{subfigure}
\caption{Full range methodology overview on Fugro data, middle camera.}


\end{figure}